## bacula 9.0.6

=== debian/changelog ===
bacula (9.0.6-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:12:08 +0000

bacula (9.0.6-1) unstable; urgency=medium

  * New upstream version
  * We no longer drop sha1.[ch], following advice on debian-legal
  * Dropped backported patches

 -- Carsten Leonhardt <leo@debian.org>  Wed, 22 Nov 2017 10:20:44 +0100

bacula (9.0.5+dfsg-5) unstable; urgency=medium

  * OpenSSL 1.1 support got accepted upstream, so we move it to
    unstable. (Closes: 850895)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 19 Nov 2017 21:27:02 +0100

bacula (9.0.5+dfsg-4+exp2) experimental; urgency=medium

  * Updated patches to support OpenSSL 1.1, kindly contributed by
    Sebastian Andrzej Siewior <sebastian@breakpoint.cc>

 -- Carsten Leonhardt <leo@debian.org>  Thu, 16 Nov 2017 00:34:12 +0100

bacula (9.0.5+dfsg-4+exp1) experimental; urgency=medium

  * Add patches to support OpenSSL 1.1 kindly contributed by Sebastian
    Andrzej Siewior <sebastian@breakpoint.cc>

 -- Carsten Leonhardt <leo@debian.org>  Wed, 15 Nov 2017 17:30:12 +0100

bacula (9.0.5+dfsg-4) unstable; urgency=medium

  * Backported patch to update acl and xattr support. This fixes a bug
    where acl and xattr support could not be disabled. We now disable
    support for these on Gnu/Hurd, this fixes the FTBFS. (Closes: #881271)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 15 Nov 2017 17:23:24 +0100

bacula (9.0.5+dfsg-3) unstable; urgency=medium

  * Skipped version 9.0.5+dfsg-2 - it was a branch for experimental

  [ Carsten Leonhardt ]
  * Use "Rules-Requires-Root: no"
  * Dropped obsolete Build-Depends on Gnome2 libraries
  * Dropped Build-Depends on autotools-dev as debhelper now depends on it

  [ Sven Hartge ]
  * Customized systemd units, added Documentation key
  * Fixed lintian warnings file-contains-trailing-whitespace and
    debhelper-tools-from-autotools-dev-are-deprecated
  * Removed Suggests: python for bacula-sd
  * Registered bacula-console-qt documentation with doc-base

 -- Carsten Leonhardt <leo@debian.org>  Sun, 12 Nov 2017 12:37:09 +0100

bacula (9.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release

  [ Carsten Leonhardt ]
  * Added transitional package bacula-director-common, the old leftover
    package can't be safely purged otherwise (it deletes
    /etc/bacula/bacula-dir.conf in postrm).
  * Handle the main configuration files with ucf (Closes: #880529)
  * Dropped unneeded depends on ucf from bacula-director-DBTYPE packages

  [ Sven Hartge ]
  * Updated patches:
    upstream-fix-sqlite-update.patch
    non-forking-systemd-units.patch

 -- Carsten Leonhardt <leo@debian.org>  Mon, 06 Nov 2017 13:25:37 +0100

bacula (9.0.4+dfsg-3) unstable; urgency=high

  [Sven Hartge]
  * Let PID files be owned by root. Mitigates a minor security problem
    similar to CVE 2017-14610. Note that this change disables automatic
    tracebacks.

  [Carsten Leonhardt]
  * Removed lintian override for
    virtual-package-depends-without-real-package-depends, fixed in lintian
  * Updated Standards-Version to 4.1.1, no changes required

 -- Carsten Leonhardt <leo@debian.org>  Thu, 26 Oct 2017 22:26:35 +0200

bacula (9.0.4+dfsg-2) unstable; urgency=low

  * Changed location of bbconsjson, bdirjson, bfdjson and bsdjson to
    /usr/lib/bacula
  * Install bscan and bcopy /usr/sbin instead of /usr/bin to match
    upstream
  * No longer symlink bat into /usr/bin
  * Removed symlink "bacula-console-qt" that linked to /usr/sbin/bat

 -- Carsten Leonhardt <leo@debian.org>  Wed, 13 Sep 2017 22:49:20 +0200

bacula (9.0.4+dfsg-1) experimental; urgency=low

  * New upstream release
  * Fixed default config for bacula-sd so it listens only on localhost
  * Added notice about discontinued sqlite3 support also to the package
    description of bacula-common-sqlite3
  * Dropped debian patches
    upstream-bring-back-tmpfiles-configuration.patch and
    upstream-fix-sqlite-db-creation.patch, these have been addressed or
    applied in the new upstream version
  * Updated upstream-fix-sqlite-update.patch

 -- Carsten Leonhardt <leo@debian.org>  Mon, 11 Sep 2017 18:37:19 +0200

bacula (9.0.3+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #855645)
  * debian/NEWS: Warn that sqlite3 is no longer officially supported and
    might be removed at short notice, also warn that we no longer support
    the make_catalog_backup_awk scripts and that they will be removed
    after the next debian release
  * Script dvd-handler removed,
    adjusted maintscript handling accordingly
  * Refreshed debian patches "fix-default-config",
    "switch-nonfree-sha1-to-openssl.patch" and
    "non-forking-systemd-units.patch"
  * Default installations now use PostgreSQL, which is recommended by
    upstream. Upstream no longer officially supports SQLite3, added a news
    entry about the fact and a note in the package description of
    bacula-director-sqlite3 (Closes: #854684)
  * Let debian/scripts/install-dbconfig detect an unsupported bacula
    database version update and abort the build if needed
  * Updated upstream signing key
  * Updated debian/copyright
  * Updated debian/scripts/install-dbconfig for database version 16
  * Added new libbacsd library to package bacula-common
  * Revived a modified fix-bring-back-tmpfiles-configuration.patch
  * Updated Standards-Version to 4.1.0, no changes required
  * Implemented try-restart in init scripts
  * Added debian/patches/upstream-fix-sqlite-update.patch
  * Renamed debian patches to indicate whether they are debian specific or
    fit for upstream
  * Added debian/patches/upstream-fix-sqlite-db-creation.patch
  * Install new binaries bbconsjson, bdirjson, bfdjson and bsdjson to
    package bacula-common
  * Install new script tapealert to package bacula-sd
  * Install new script baculabackupreport to package bacula-director
  * Install all scripts for manual database handling to their respective

