=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
http://sf.net/bacula/bacula-?_?([\w+\d+\.]+|\d+)\.tar\.gz
