=== debian/changelog ===
bacula (9.0.8-1) unstable; urgency=medium

  * New upstream release
  * Drop patch debian/ignore-win32, copyright notices were fixed
    upstream
  * Drop patch upstream/kfreebsd-regression-fix, it was integrated
    upstream
  * Add patch upstream/fix-permissions, to install mtx-changer.conf
    without execute permissions

 -- Carsten Leonhardt <leo@debian.org>  Mon, 28 May 2018 23:10:23 +0200

bacula (9.0.7+dfsg-4) unstable; urgency=medium

  * Add logwatch script to package bacula-director
  * Update maintainer mailing list address

 -- Carsten Leonhardt <leo@debian.org>  Tue, 15 May 2018 13:18:37 +0200

bacula (9.0.7+dfsg-3) experimental; urgency=medium

  [ Sven Hartge ]
  * Switch to Qt5. (Closes: #874836)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 25 Apr 2018 23:31:17 +0200

bacula (9.0.7+dfsg-2) unstable; urgency=medium

  [ Sven Hartge ]
  * Don't clutter / with tmpfiles

  [ Carsten Leonhardt ]
  * Fix FTBFS on kfreebsd
  * Remove ucf tempfiles in / erroneously left there by previous versions

 -- Carsten Leonhardt <leo@debian.org>  Wed, 25 Apr 2018 14:59:58 +0200

bacula (9.0.7+dfsg-1) unstable; urgency=low

  * New upstream release

  [ Sven Hartge ]
  * Unhide the compiler output, allowing the build log scanner to
    actually function correctly
  * Updated Standards-Version to 4.1.4, no changes required

  [ Carsten Leonhardt ]
  * Repackaged upstream source to exclude src/filed/win_efs.c and
    src/win32 due to licencing concerns, added patch to allow building
    nonetheless

 -- Carsten Leonhardt <leo@debian.org>  Mon, 23 Apr 2018 16:53:54 +0200

bacula (9.0.6-2) unstable; urgency=high

  [ Sven Hartge ]
  * Bump debhelper compat level to 11, now that debhelper 11 is in
    stretch-backports
  * Added various lintian overrides
  * Package is compatible with Policy 4.1.3.0, no changes needed
  * Updated VCS-URLs in debian/control (Debian repository moved to
    salsa.debian.org)
  * Fix bacula-sd SysV initscript to correctly pass the runtime user
    to the daemon. Thanks Adam D. Barratt for noticing.

  [ Carsten Leonhardt ]
  * Cherry-pick further fix from stretch-update to prevent accidental
    deletion of bacula-dir.conf

 -- Carsten Leonhardt <leo@debian.org>  Sun, 04 Mar 2018 10:35:21 +0100
