=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: bacula
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
+Maintainer: Debian Bacula Team <pkg-bacula-devel@alioth-lists.debian.net>
 Uploaders: Carsten Leonhardt <leo@debian.org>
 Build-Depends:
  autoconf,
  bc,
- debhelper (>= 10),
+ debhelper (>= 11~),
+ dh-exec,
  libacl1-dev,
  libcap-dev [linux-any],
  libkrb5-dev,
  liblzo2-dev,
  default-libmysqlclient-dev,
  libpq-dev (>= 9.1),
- libqt4-dev,
+ qtbase5-dev,
  libreadline-dev,
  libsqlite3-dev,
  libssl-dev | libssl1.0-dev,
@@ -26,10 +26,10 @@
  po-debconf,
  postgresql-server-dev-all,
  zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bacula/bacula.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-bacula/bacula.git
+Vcs-Browser: https://salsa.debian.org/bacula-team/bacula
+Vcs-Git: https://salsa.debian.org/bacula-team/bacula.git
 Homepage: http://www.bacula.org/
 
 Package: bacula
@@ -334,3 +334,5 @@
 Description: network backup service - text console
  Bacula is a set of programs to manage backup, recovery, and verification of
  data across a network of computers of different kinds.
+ .
+ The management console allows the administrator or user to
