=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+
+# Make qtchooser select Qt5
+export QT_SELECT=qt5
 
 DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -97,11 +100,7 @@
 endef
 
 %:
-ifeq ($(HAVE_SYSTEMD),1)
-	dh $@ --with systemd
-else
 	dh $@
-endif
 
 # For packages depending on bacula-director-DBTYPE, we handle the
 # dependencies on that ourselves, because dpkg-shlibdeps doesn't
@@ -154,6 +153,12 @@
 override_dh_auto_configure-arch:
 	$(foreach db,$(VARIANTS),$(call db-templates-subst,$(db)))
 	autoconf -I autoconf/ -o configure autoconf/configure.in
+	# Strange workaround for strange binary path problems in Qt5.9
+	# https://gitweb.gentoo.org/repo/gentoo.git/tree/app-backup/bacula/bacula-9.0.6-r2.ebuild?id=9b8f311cb9d88f02bebc4bfb51282db4457f87d7#n166
+	mkdir -p src/qt-console/.libs
+	touch src/qt-console/.libs/bat
+	chmod 755 src/qt-console/.libs/bat
+	#
 	dh_auto_configure -- $(CONF_ALL)
 	debian/scripts/generate-doc-dir-to-symlink-migration create
 	debian/scripts/autopostrm create
@@ -169,9 +174,4 @@
 	debian/scripts/generate-doc-dir-to-symlink-migration clean
 	debian/scripts/autopostrm clean
 
-override_dh_fixperms-arch:
-	dh_fixperms -a
-	chmod -x debian/bacula-sd/etc/bacula/scripts/mtx-changer.conf
-	chmod -x debian/bacula-common/usr/share/doc/bacula-common/examples/nagios/check_bacula/README
-
 override_dh_auto_test:
